package graph;

import java.awt.*;

public class Main {
    public static void main(String args[]) {
        ControlPanel g = setupGraph();
        setupFrame(g);
        System.out.println("g.start");

    }

    private static void setupFrame(ControlPanel
            controlPanel) {
        ClosableFrame f = new ClosableFrame();
        f.setSize(400, 400);
        f.setLayout(new BorderLayout());
        f.add(controlPanel.getControlPanel(),
                BorderLayout.SOUTH);
        f.add(controlPanel.getGraphPanel(),
                BorderLayout.CENTER);
        f.setVisible(true);
    }

    private static ControlPanel setupGraph() {
        ControlPanel g = new ControlPanel();
        g.addEdge("a1", "a2");
        g.addEdge("a2", "a3");
        g.addEdge("a2", "a1");
        g.addEdge("a1", "a3");
        int n=20;
        for (int i=4;i < n;i++)
            g.addEdge("a"+(i-1), "a"+i);
        g.addEdge("a1","a"+(n-1));
        g.start();
        return g;
    }
}